Close

What are you looking for?

cancel
Showing results for 
Search instead for 
Did you mean: 

After the last security update, many apps in the playstore are not compatible

(Topic created on: 30-05-2024 06:37 PM)
459 Views
Oziriz
Student
Options

Samsung A14 5G (SM-A145M/DS), One UI 6.0, Android 14
Play Store version: 41.1.19-31 [0] [PR] 636190650

Recently apps like X/Twitter, Uber, Instagram, Facebook, Pinterest, Spotify, Mercado Pago, and many others are said to be not available for my device. The Google's Play Store says that they are not compatible with the version of my android. I'm aware that the new android 14 has the targetSDK policy that blocks old apps to be installed, but this would only be understandable if it was old apps, but as you can see that's not the case.
So, this is a bug/issue of the new security update or is a bug from the Google's Play Store? I'm asking because I couldn't find any relevant information about it (I'm the only one facing this issue?!).
Right now, I can only update some of these apps through the Galaxy Store, but not all of them are available there, like Mercado Pago (A fintech Bank).

0 Likes
4 REPLIES 4
Robin999
Samsung Members Star ★
Options
Any incompatibility is down to the app developers. You'll need to reach out to them and ask. However, saying that, I agree that apps such as the ones you mention should already be compatible and it's odd that you are having this issue. Ensure you have the latest security updates, Google Play System updates.

The only difference between my version of play store and yours is the version number (see screenshot). Don't know what difference that would make though. I presume your device is stock, not rooted and the version of play store you have is not a .apk file that you have installed?1717091788280_1717091788275_0.jpg
BuddyBella
First Poster
Options
I've found that after the UI 6.0 update I can no longer send text messages plus other things on my phone have changed I'm having problems with WhatsApp. I've been into the Samsung shop in Norwich the young man in there confirmed it appears to be a problem with the software update. He set my phone so that I can send text messages using Google until hopefully Samsung send a fix for the problem with the software. I need to be able to send text messages to a vulnerable person.
Robin999
Samsung Members Star ★
Options
Please check for updates to Google Meet app via the Google Play store. Google have now issued an update for the app that resolves this problem. If no update is available to you yet, then just disable the app for now.

See below link for workaround and further down for response from Samsung.

https://eu.community.samsung.com/t5/galaxy-s24-series/message-app-crashing/td-p/9960423?src=ShareByU...

The issue is being caused by a recent update to the Google Meet app. Please disable the Google Meet app for now until a fix has been issued. See response from Samsung.

I'm sorry to hear you've been experiencing this issue with your device
We've received some reports from other users facing issues with accessing the Samsung Messages application. We have identified the cause of the issue as a recent Google Meets app update, and we have reported the issue to Google for further investigation. To restore functionality to the Samsung Messages app, we'd recommend performing the following:
Navigate to Settings > Apps > Meet > Disable.
Oziriz
Student
Options

I have all the last updates, and I even tried to update the play store, but it says that I have the latest version. And yes, my device is not rooted, and neither the play store is installed from an APK.
My hope is that, maybe, the play store update is still rolling out to all users to fix this issue. In the meantime, I will also try to reach out someone at Google play support forum.